---
title: "Searches Products by parameters"
url: "https://developer.retailexpress.com.au/apis/retail-express-api-21-v2/versions/d3750347-3c58-45e9-b3b1-b23a00e713ed/operations/get-products"
---

> Full API specification: https://developer.retailexpress.com.au/apis/retail-express-api-21-v2/versions/d3750347-3c58-45e9-b3b1-b23a00e713ed.md

# Searches Products by parameters

`GET` `/products`

Operation ID: `get-products`

Searches Products by parameters

## Query parameters

- `id` (integer, int32, optional) - Format - int32. Product Id. Other properties are skipped, if used
- `search` (string, optional) - Search. If used, other properties are skipped, except outlet_id and disabled
- `sales_channel_id` (integer, int32, optional) - Format - int32. Sales Channel Id
- `include_inventory` (boolean, optional) - Include inventory
- `order_by` (string, optional) - Order by. Available field name values: id, supplier_sku, supplier_sku2, manufacturer_sku, short_description, product_type, supplier, core_product, disabled, long_description, custom1, custom2, custom3, supplier_buy_ex, buy_price_ex, direct_costs_ex, markup_target, sell_price_inc, promotional_price_inc, promotional_price_expiry, rrp_inc, web_price_inc, freight_inc, max_discount_rule_id, lead_time, carton_quantity, replenishment_method_code, length, depth, breadth, shipping_cubic, weight, prevent_disabling, voucher_product, requires_assembly, loyalty_ratio, brand, season, size, colour, attribute:id, sales_channel:id Available direction values: asc, desc. Example: id asc, supplier_sku desc
- `filter_by` (string, optional) - Filter by. Available field name values: id, supplier_sku, supplier_sku2, manufacturer_sku, short_description, product_type, supplier, supplier_code, supplier_buy_ex, size, colour, brand, season, core_product, disabled, attribute:Id, outlet_id, quantity_available, quantity_on_order, package, max_discount_rule_id, replenishment_method_code, export_to_web, loyalty_ratio, voucher_product, created_on, modified_on, sales_channel:id In string values: '|' and ',' characters have to be escaped with slash, i.e. '\\,' '\\|' For operators that support multiple values (in, notin): multiple values are delimited using '|' character Available operators: eq - Equal neq - Not equals lt - Less lte - Less or equal gt - Greater gte - Greater or equal in - In notin - Not In contains - Contains isnull - Is Null isnullorempty - Is Null Or Empty isnotnull - Is Not Null startswith - Starts with endswith - Ends with doesnotcontain - Does not contain For non-nullable fields operators isnull and isnotnull are unavailable For dates operators: contains, startswith, endswith, doesnotcontain, isnullorempty are unavailable For strings operators: lt, lte, gt, gte are unavailable Example: id:eq:2, attribute:101:isnotnull, attribute:101:eq:Custom Attribute Value 123
- `sku` (string, optional) - Supplier SKU.
- `manufacturer_sku` (string, optional) - Manufacturer SKU.
- `supplier` (string, optional) - Supplier or Collection of Suppliers (comma separated) Example: Supplier1,Supplier2,Supplier3
- `plu` (string, optional) - Product Look-Up code (PLU) It can be Product Id, Supplier SKU, Manufacturer SKU, Supplier SKU 2 or any Barcodes for a product. The other search parameters are ignored if used. (except of 'autocomplete')
- `autocomplete` (boolean, optional) - Autocomplete. Controls partial vs exact match search. Should return only exactly matching results when its value is false and partially matching results when true.
- `created_since` (string, date-time, optional) - Format - date-time (as date-time in RFC3339). Created since
- `modified_since` (string, date-time, optional) - Format - date-time (as date-time in RFC3339). Modified since
- `disabled` (boolean, optional) - Disabled
- `product_type_id` (string, optional) - Product Type Id or Collection of Product Type Ids (comma separated) Example: 1,5,7
- `short_description` (string, optional) - Allows to search by description parts
- `outlet_id` (integer, int32, optional) - Format - int32. Outlet Id
- `include_zero_stock` (boolean, optional) - Filters products based on them being in stock
- `style_code` (string, optional) - Product Look-Up code (Style Code) It can be Manufacturer SKU for a product. The other search parameters are ignored if used. (except of 'autocomplete')
- `page_number` (integer, int32, optional) - Format - int32.
- `page_size` (integer, int32, optional) - Format - int32.

## Header parameters

- `x-api-key` (string, required) - Api subscription key
- `Cache-Control` (string, optional)
- `Authorization` (string, required) - Bearer token for authorization (e.g., Bearer <token>)

## Responses

- `200` - Paging Response with Products data
- `400` - Bad request
- `401` - Unauthorized
- `403` - Forbidden

## OpenAPI definition

```yaml
openapi: 3.0.1
info:
  title: Retail Express API
  version: V2
servers:
  - url: https://api.retailexpress.com.au/v2
paths:
  /products:
    get:
      tags:
        - products
      summary: Searches Products by parameters
      description: Searches Products by parameters
      operationId: get-products
      parameters:
        - name: id
          in: query
          description: Format - int32. Product Id. Other properties are skipped, if used
          schema:
            type: integer
            description: Product Id. Other properties are skipped, if used
            format: int32
            nullable: true
        - name: search
          in: query
          description: Search. If used, other properties are skipped, except outlet_id and
            disabled
          schema:
            type: string
            description: Search. If used, other properties are skipped, except outlet_id and
              disabled
            nullable: true
        - name: sales_channel_id
          in: query
          description: Format - int32. Sales Channel Id
          schema:
            type: integer
            description: Sales Channel Id
            format: int32
            nullable: true
        - name: include_inventory
          in: query
          description: Include inventory
          schema:
            type: boolean
            description: Include inventory
        - name: order_by
          in: query
          description: "Order by. \r

            \r

            Available field name values: id, supplier_sku, supplier_sku2,
            manufacturer_sku, short_description, product_type, supplier,
            core_product, disabled,\r

            long_description, custom1, custom2, custom3, supplier_buy_ex,
            buy_price_ex, direct_costs_ex, markup_target, sell_price_inc,
            promotional_price_inc,\r

            promotional_price_expiry, rrp_inc, web_price_inc, freight_inc,
            max_discount_rule_id, lead_time, carton_quantity,
            replenishment_method_code, length, depth, breadth,\r

            shipping_cubic, weight, prevent_disabling, voucher_product,
            requires_assembly, loyalty_ratio, brand, season, size, colour,
            attribute:id, sales_channel:id\r

            \r

            Available direction values: asc, desc. \r

            \r

            Example: id asc, supplier_sku desc"
          schema:
            type: string
            description: "Order by. \r

              \r

              Available field name values: id, supplier_sku, supplier_sku2,
              manufacturer_sku, short_description, product_type, supplier,
              core_product, disabled,\r

              long_description, custom1, custom2, custom3, supplier_buy_ex,
              buy_price_ex, direct_costs_ex, markup_target, sell_price_inc,
              promotional_price_inc,\r

              promotional_price_expiry, rrp_inc, web_price_inc, freight_inc,
              max_discount_rule_id, lead_time, carton_quantity,
              replenishment_method_code, length, depth, breadth,\r

              shipping_cubic, weight, prevent_disabling, voucher_product,
              requires_assembly, loyalty_ratio, brand, season, size, colour,
              attribute:id, sales_channel:id\r

              \r

              Available direction values: asc, desc. \r

              \r

              Example: id asc, supplier_sku desc"
            nullable: true
        - name: filter_by
          in: query
          description: "Filter by. \r

            Available field name values: id, supplier_sku, supplier_sku2,
            manufacturer_sku, short_description, product_type, supplier,
            supplier_code, supplier_buy_ex,\r

            size, colour, brand, season, core_product, disabled, attribute:Id,
            outlet_id, quantity_available, quantity_on_order, package,
            max_discount_rule_id, replenishment_method_code,\r

            export_to_web, loyalty_ratio, voucher_product, created_on,
            modified_on, sales_channel:id\r

            \            \r

            In string values: '|' and ',' characters have to be escaped with
            slash, i.e. '\\\\,' '\\\\|'\r

            \            \r

            For operators that support multiple values (in, notin): multiple
            values are delimited using '|' character\r

            \r

            Available operators:\r

            \r

            eq -  Equal\r

            \r

            neq - Not equals\r

            \r

            lt  - Less\r

            \r

            lte - Less or equal\r

            \r

            gt -  Greater\r

            \r

            gte - Greater or equal\r

            \r

            in  - In\r

            \r

            notin - Not In\r

            \            \r

            contains - Contains\r

            \r

            isnull - Is Null\r

            \            \r

            isnullorempty - Is Null Or Empty\r

            \r

            isnotnull - Is Not Null\r

            \r

            startswith - Starts with\r

            \r

            endswith - Ends with\r

            \r

            doesnotcontain - Does not contain\r

            \            \r

            For non-nullable fields operators isnull and isnotnull are
            unavailable\r

            \r

            For dates operators: contains, startswith, endswith, doesnotcontain,
            isnullorempty are unavailable\r

            \            \r

            For strings operators: lt, lte, gt, gte are unavailable\r

            \            \r

            Example: id:eq:2, attribute:101:isnotnull, attribute:101:eq:Custom
            Attribute Value 123"
          schema:
            type: string
            description: "Filter by. \r

              Available field name values: id, supplier_sku, supplier_sku2,
              manufacturer_sku, short_description, product_type, supplier,
              supplier_code, supplier_buy_ex,\r

              size, colour, brand, season, core_product, disabled, attribute:Id,
              outlet_id, quantity_available, quantity_on_order, package,
              max_discount_rule_id, replenishment_method_code,\r

              export_to_web, loyalty_ratio, voucher_product, created_on,
              modified_on, sales_channel:id\r

              \            \r

              In string values: '|' and ',' characters have to be escaped with
              slash, i.e. '\\\\,' '\\\\|'\r

              \            \r

              For operators that support multiple values (in, notin): multiple
              values are delimited using '|' character\r

              \r

              Available operators:\r

              \r

              eq -  Equal\r

              \r

              neq - Not equals\r

              \r

              lt  - Less\r

              \r

              lte - Less or equal\r

              \r

              gt -  Greater\r

              \r

              gte - Greater or equal\r

              \r

              in  - In\r

              \r

              notin - Not In\r

              \            \r

              contains - Contains\r

              \r

              isnull - Is Null\r

              \            \r

              isnullorempty - Is Null Or Empty\r

              \r

              isnotnull - Is Not Null\r

              \r

              startswith - Starts with\r

              \r

              endswith - Ends with\r

              \r

              doesnotcontain - Does not contain\r

              \            \r

              For non-nullable fields operators isnull and isnotnull are
              unavailable\r

              \r

              For dates operators: contains, startswith, endswith,
              doesnotcontain, isnullorempty are unavailable\r

              \            \r

              For strings operators: lt, lte, gt, gte are unavailable\r

              \            \r

              Example: id:eq:2, attribute:101:isnotnull, attribute:101:eq:Custom
              Attribute Value 123"
            nullable: true
        - name: sku
          in: query
          description: Supplier SKU.
          schema:
            maxLength: 50
            minLength: 0
            type: string
            description: Supplier SKU.
            nullable: true
        - name: manufacturer_sku
          in: query
          description: Manufacturer SKU.
          schema:
            maxLength: 50
            minLength: 0
            type: string
            description: Manufacturer SKU.
            nullable: true
        - name: supplier
          in: query
          description: "Supplier or Collection of Suppliers (comma separated)\r

            Example: Supplier1,Supplier2,Supplier3"
          schema:
            type: string
            description: "Supplier or Collection of Suppliers (comma separated)\r

              Example: Supplier1,Supplier2,Supplier3"
            nullable: true
        - name: plu
          in: query
          description: Product Look-Up code (PLU) It can be Product Id, Supplier SKU,
            Manufacturer SKU, Supplier SKU 2 or any Barcodes for a product. The
            other search parameters are ignored if used. (except of
            'autocomplete')
          schema:
            minLength: 3
            type: string
            description: Product Look-Up code (PLU) It can be Product Id, Supplier SKU,
              Manufacturer SKU, Supplier SKU 2 or any Barcodes for a product.
              The other search parameters are ignored if used. (except of
              'autocomplete')
            nullable: true
        - name: autocomplete
          in: query
          description: Autocomplete. Controls partial vs exact match search. Should return
            only exactly matching results when its value is false and partially
            matching results when true.
          schema:
            type: boolean
            description: Autocomplete. Controls partial vs exact match search. Should return
              only exactly matching results when its value is false and
              partially matching results when true.
        - name: created_since
          in: query
          description: Format - date-time (as date-time in RFC3339). Created since
          schema:
            type: string
            description: Created since
            format: date-time
            nullable: true
        - name: modified_since
          in: query
          description: Format - date-time (as date-time in RFC3339). Modified since
          schema:
            type: string
            description: Modified since
            format: date-time
            nullable: true
        - name: disabled
          in: query
          description: Disabled
          schema:
            type: boolean
            description: Disabled
            nullable: true
        - name: product_type_id
          in: query
          description: "Product Type Id or Collection of Product Type Ids (comma
            separated)\r

            Example: 1,5,7"
          schema:
            type: string
            description: "Product Type Id or Collection of Product Type Ids (comma
              separated)\r

              Example: 1,5,7"
            nullable: true
        - name: short_description
          in: query
          description: Allows to search by description parts
          schema:
            type: string
            description: Allows to search by description parts
            nullable: true
        - name: outlet_id
          in: query
          description: Format - int32. Outlet Id
          schema:
            type: integer
            description: Outlet Id
            format: int32
            nullable: true
        - name: include_zero_stock
          in: query
          description: Filters products based on them being in stock
          schema:
            type: boolean
            description: Filters products based on them being in stock
            nullable: true
        - name: style_code
          in: query
          description: Product Look-Up code (Style Code) It can be Manufacturer SKU for a
            product. The other search parameters are ignored if used. (except of
            'autocomplete')
          schema:
            minLength: 3
            type: string
            description: Product Look-Up code (Style Code) It can be Manufacturer SKU for a
              product. The other search parameters are ignored if used. (except
              of 'autocomplete')
            nullable: true
        - name: page_number
          in: query
          description: Format - int32.
          schema:
            maximum: 100000
            minimum: 1
            type: integer
            format: int32
        - name: page_size
          in: query
          description: Format - int32.
          schema:
            maximum: 2147483647
            minimum: 1
            type: integer
            format: int32
        - name: x-api-key
          in: header
          description: Api subscription key
          required: true
          schema:
            type: string
        - name: Cache-Control
          in: header
          required: false
          schema:
            type: string
            default: no-cache
        - name: Authorization
          in: header
          required: true
          description: Bearer token for authorization (e.g., Bearer <token>)
          schema:
            type: string
      responses:
        "200":
          description: Paging Response with Products data
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/Product.PagingResponse"
              example:
                data:
                  - carton_quantity: 0
                    cogs_ex: 0
                    cubic: 0
                    direct_costs_ex: 0
                    prevent_disabling: true
                    promotional_price_inc: 0
                    promotional_price_expiry: string
                    freight_inc: 0
                    rrp_inc: 0
                    sell_price_inc: 0
                    web_price_inc: 0
                    markup_target: 0
                    breadth: 0
                    core_product: true
                    custom_properties:
                      - name: string
                        value: string
                    depth: 0
                    disabled: true
                    id: 0
                    lead_time: 0
                    length: 0
                    loyalty_ratio: 0
                    manufacturer_sku: string
                    product_type:
                      id: 0
                      name: string
                      modified_on: string
                    requires_assembly: true
                    shipping_cubic: 0
                    short_description: string
                    supplier:
                      id: 0
                      supplier_code: string
                      name: string
                      modified_on: string
                    supplier_buy_ex: 0
                    supplier_sku: string
                    supplier_sku2: string
                    weight: 0
                    buy_price_ex: 0
                    long_description: string
                    voucher_product: true
                    max_discount_rule:
                      id: 0
                      name: string
                      value: 0
                      type: string
                      modified_on: string
                    replenishment_method:
                      id: 0
                      code: string
                      name: string
                    attributes:
                      - id: 0
                        name: string
                        type: string
                        modified_on: string
                        value:
                          id: 0
                          name: string
                          list_order: 0
                    created_on: string
                    modified_on: string
                    inventory:
                      - outlet:
                          id: 0
                          name: string
                          modified_on: string
                        quantity_available: 0
                        quantity_on_order: 0
                    sales_channels:
                      - id: 0
                        name: string
                        shopify_channel: true
                        source_group:
                          id: 0
                          name: string
                        enabled: true
                    export_to_web: true
                    package: true
                page_number: 0
                page_size: 0
                total_records: 0
        "400":
          description: Bad request
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ProblemDetails"
              example:
                type: string
                title: string
                status: 0
                detail: string
                instance: string
        "401":
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ProblemDetails"
              example:
                type: string
                title: string
                status: 0
                detail: string
                instance: string
        "403":
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ProblemDetails"
              example:
                type: string
                title: string
                status: 0
                detail: string
                instance: string
security: []
components:
  schemas:
    Product.PagingResponse:
      title: ""
      type: object
      properties:
        data:
          type: array
          items:
            $ref: "#/components/schemas/Product"
          nullable: true
        page_number:
          type: integer
          format: int32
        page_size:
          type: integer
          format: int32
        total_records:
          type: integer
          format: int32
      additionalProperties: false
    ProblemDetails:
      title: ""
      type: object
      properties:
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
      additionalProperties: {}
    Product:
      title: ""
      type: object
      properties:
        carton_quantity:
          type: integer
          description: Carton quantity
          format: int32
          nullable: true
        cogs_ex:
          type: number
          description: Cogs ex
          format: double
        cubic:
          type: number
          description: Cubic
          format: double
        direct_costs_ex:
          type: number
          description: Direct costs
          format: double
          nullable: true
        prevent_disabling:
          type: boolean
          description: Is product disabled
          nullable: true
        promotional_price_inc:
          type: number
          description: Discount price
          format: double
          nullable: true
        promotional_price_expiry:
          type: string
          description: Discount price expiry
          format: date-time
          nullable: true
        freight_inc:
          type: number
          description: Freight inc
          format: double
          nullable: true
        rrp_inc:
          type: number
          description: Rpr inc
          format: double
          nullable: true
        sell_price_inc:
          maximum: 922337203685477.6
          minimum: -922337203685477.6
          type: number
          description: Sell Price, cannot be used along with markup_target
          format: double
          nullable: true
        web_price_inc:
          type: number
          description: Web price
          format: double
          nullable: true
        markup_target:
          type: number
          description: Markup Target %, cannot be used along with sell_price_inc
          format: double
          nullable: true
        breadth:
          maximum: 9999.9999
          minimum: -9999.9999
          type: number
          description: Breadth
          format: double
        core_product:
          type: boolean
          description: Is core product flag
        custom_properties:
          type: array
          items:
            $ref: "#/components/schemas/CustomProperty"
          description: List of custom properties
          nullable: true
        depth:
          maximum: 9999.9999
          minimum: -9999.9999
          type: number
          description: Depth
          format: double
        disabled:
          type: boolean
          description: Disabled
        id:
          type: integer
          description: Product id.
          format: int32
          nullable: true
        lead_time:
          type: integer
          description: Lead time
          format: int32
          nullable: true
        length:
          maximum: 9999.9999
          minimum: -9999.9999
          type: number
          description: Length
          format: double
          nullable: true
        loyalty_ratio:
          type: number
          description: Loyalty Ratio
          format: double
          nullable: true
        manufacturer_sku:
          type: string
          description: Manufacture SKU
          nullable: true
        product_type:
          $ref: "#/components/schemas/ProductType"
        requires_assembly:
          type: boolean
          description: Requires Assembly
        shipping_cubic:
          maximum: 999999.9999
          minimum: -999999.9999
          type: number
          description: Shipping Cubic
          format: double
          nullable: true
        short_description:
          type: string
          description: Product description.
          nullable: true
        supplier:
          $ref: "#/components/schemas/ProductSupplier"
        supplier_buy_ex:
          maximum: 922337203685477.6
          minimum: -922337203685477.6
          type: number
          description: Supplier Buy Ex
          format: double
        supplier_sku:
          type: string
          description: Supplier SKU.
          nullable: true
        supplier_sku2:
          type: string
          description: Supplier SKU2.
          nullable: true
        weight:
          maximum: 99999999.9999
          minimum: -99999999.9999
          type: number
          description: Weight
          format: double
          nullable: true
        buy_price_ex:
          type: number
          description: Buy price ex
          format: double
          nullable: true
        long_description:
          type: string
          description: Long description
          nullable: true
        voucher_product:
          type: boolean
          description: Voucher product
        max_discount_rule:
          $ref: "#/components/schemas/MaxDiscountRule"
        replenishment_method:
          $ref: "#/components/schemas/ProductReplenishmentMethod"
        attributes:
          type: array
          items:
            $ref: "#/components/schemas/ProductAttribute"
          description: Product attributes
          nullable: true
        created_on:
          type: string
          description: Created on
          format: date-time
          nullable: true
        modified_on:
          type: string
          description: Modified on
          format: date-time
          nullable: true
        inventory:
          type: array
          items:
            $ref: "#/components/schemas/ProductInventory"
          description: Inventory
          nullable: true
        sales_channels:
          type: array
          items:
            $ref: "#/components/schemas/ProductSalesChannelVM"
          description: Product Sales Chanels
          nullable: true
        export_to_web:
          type: boolean
          description: Export To Web
        package:
          type: boolean
          description: Package
      additionalProperties: false
      description: Product Model
    CustomProperty:
      title: ""
      type: object
      properties:
        name:
          type: string
          nullable: true
        value:
          type: string
          nullable: true
      additionalProperties: false
      description: Custom Property Model
    ProductType:
      title: ""
      type: object
      properties:
        id:
          type: integer
          description: Product type Id.
          format: int32
          nullable: true
        name:
          maxLength: 50
          minLength: 0
          pattern: ^[\w\-\s\/\+\.\;\:\(\)\*\&\^\%\$\#\@\,\']{1,50}$
          type: string
          description: Product type description (Name)
          nullable: true
        modified_on:
          type: string
          description: Modified on
          format: date-time
      additionalProperties: false
      description: Product Type Model
    ProductSupplier:
      title: ""
      type: object
      properties:
        id:
          type: integer
          description: Supplier Id
          format: int32
          nullable: true
        supplier_code:
          maxLength: 20
          minLength: 0
          type: string
          description: Supplier Code
          nullable: true
        name:
          maxLength: 50
          minLength: 0
          type: string
          description: Supplier Name
          nullable: true
        modified_on:
          type: string
          description: Modified on
          format: date-time
      additionalProperties: false
      description: Product Supplier model
    MaxDiscountRule:
      title: ""
      type: object
      properties:
        id:
          type: integer
          description: Max Discount Rule Id.
          format: int32
          nullable: true
        name:
          maxLength: 50
          minLength: 0
          type: string
          description: Max Discount Rule name.
          nullable: true
        value:
          type: number
          description: Max Discount Rule value.
          format: double
        type:
          type: string
          description: Discount Type.
          nullable: true
        modified_on:
          type: string
          description: Modified on
          format: date-time
      additionalProperties: false
      description: Max Discount Rule Model
    ProductReplenishmentMethod:
      title: ""
      type: object
      properties:
        id:
          type: integer
          description: Product Replenishment Method Id.
          format: int32
          nullable: true
        code:
          type: string
          description: Product Replenishment Method code.
          nullable: true
        name:
          type: string
          description: Product Replenishment Method name.
          nullable: true
      additionalProperties: false
    ProductAttribute:
      title: ""
      type: object
      properties:
        id:
          type: integer
          description: Attribute Id
          format: int32
          nullable: true
        name:
          type: string
          description: Attribute Name
          nullable: true
        type:
          type: string
          description: Attribute Type
          nullable: true
          readOnly: true
        modified_on:
          type: string
          format: date-time
          nullable: true
        value:
          $ref: "#/components/schemas/ProductAttributeValue"
      additionalProperties: false
    ProductInventory:
      title: ""
      type: object
      properties:
        outlet:
          $ref: "#/components/schemas/ProductInventoryOutlet"
        quantity_available:
          type: integer
          description: Available Quantity
          format: int32
        quantity_on_order:
          type: integer
          description: On-order Quantity
          format: int32
      additionalProperties: false
      description: Product Inventory Model
    ProductSalesChannelVM:
      title: ""
      type: object
      properties:
        id:
          type: integer
          description: Channel Id.
          format: int32
        name:
          type: string
          description: Channel Name.
          nullable: true
        shopify_channel:
          type: boolean
          description: Shopify Channel.
        source_group:
          $ref: "#/components/schemas/SourceGroupVM"
        enabled:
          type: boolean
          description: Enabled.
      additionalProperties: false
    ProductAttributeValue:
      title: ""
      type: object
      properties:
        id:
          type: integer
          description: Attribute Value Id
          format: int32
          nullable: true
        name:
          type: string
          description: Attribute Value Name
          nullable: true
        list_order:
          type: integer
          description: List order
          format: int32
          nullable: true
      additionalProperties: false
    ProductInventoryOutlet:
      title: ""
      type: object
      properties:
        id:
          type: integer
          description: Outlet Id
          format: int32
        name:
          type: string
          description: Name
          nullable: true
        modified_on:
          type: string
          description: Modified on
          format: date-time
          nullable: true
      additionalProperties: false
      description: Product Inventory Outlet Model
    SourceGroupVM:
      title: ""
      type: object
      properties:
        id:
          type: integer
          description: Source Group Id.
          format: int32
          nullable: true
        name:
          type: string
          description: Source Group Name.
          nullable: true
      additionalProperties: false
```
